accrue.analysis.interprocvarcontext

## Class AnalysisFactoryVarContext<T extends AbstractValue<T>>

- java.lang.Object
- - accrue.analysis.interprocanalysis.AnalysisFactory<VarContext<T>>
  - - accrue.analysis.interprocvarcontext.AnalysisFactoryVarContext<T>

- Direct Known Subclasses:
    AntiDepAnalysisFactory, DefUseAnalysisFactory, NotNullAnalysisFactory

      public abstract class AnalysisFactoryVarContext<T extends AbstractValue<T>>
      extends AnalysisFactory<VarContext<T>>

- - ### Field Summary

    - ### Fields inherited from class accrue.analysis.interprocanalysis.AnalysisFactory

      `extInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalysisFactoryVarContext(AccrueExtensionInfo extInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract T` | `bottomAbstractValue()`
    `FinalVarContext<T>` | `emptyExitMap()` Get the `ExitMap`
    `FinalVarContext<T>` | `restoreCallingFrame(FinalVarContext<T> output, VarContext<T> input, java.util.Set<AbstractLocation> writeLocations)`

    - ### Methods inherited from class accrue.analysis.interprocanalysis.AnalysisFactory

      `analysisName, analysisReportName, analysisUtil, createAnalysisContext, reportTopics, startItem, startProcAnalysisContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalysisFactoryVarContext

          public AnalysisFactoryVarContext(AccrueExtensionInfo extInfo)

  - ### Method Detail

    - #### restoreCallingFrame

          public FinalVarContext<T> restoreCallingFrame(FinalVarContext<T> output,
                                               VarContext<T> input,
                                               java.util.Set<AbstractLocation> writeLocations)

    - #### bottomAbstractValue

          public abstract T bottomAbstractValue()

    - #### emptyExitMap

          public FinalVarContext<T> emptyExitMap()

      Description copied from class: `AnalysisFactory`
      Get the `ExitMap`
      Overrides:
        `emptyExitMap` in class `AnalysisFactory<VarContext<T extends AbstractValue<T>>>`
      Returns: